#ifndef SERIAL_INCLUDED
#define SERIAL_INCLUDED


#define JAMES_SERIAL_PORT		"/dev/rfcomm1"	//Comm Name
#define james_SERIAL_BAUDRATE     	B38400      	//baudrate

/******************************************************************\
* PUBLIC FUNCTION PROTOTYPES
\******************************************************************/

/**
* jamesWriteString : Send a string throught the serial port.
* @param parPtrString : string to be sent.
* @return wn : number of byte written.
*/
int jamesWriteString( char * parPtrString);

/**
* jamesOpenPort : open the serial port describe by james_SERIAL_PORT
* @param none
* @return mFd : -1 if fail to open.
*/
int jamesOpenPort(void);

/**
* jamesReadAt : poll the serial port
* @param parPtr : name of the thread, could be everything.
* @return should never return...
*/
void * jamesRead(void * parPtr);

/**
* jamesWriteString : Send a cmd
* @param parCmd : byte array
* @param parLength : longueur
* @return wn : number of byte written.
*/
int jamesWriteCmd(unsigned char * parCmd, int parLength);

/**
* jamesSetCallback : set the callback function to call when At received.
* @param parAtHandler : adress of the function to be called.
* @return none
*/
void jamesSetCallback( void (*parAtHandler)(char *) );

#endif
